:root{
    --vm-fondo-obscuro: #101010;
    --vm-mascara: rgba(0,0,0,0.9);
    --vm-mascara-mini: rgba(0,0,0,0.5);
    --vm-azul-borde: #5BC0DE;
    --vm-blanco: #ffffff;
}

.vm-body{
    border: 1px solid #101010;
    background-color: var(--vm-mascara);
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 10000;
    top: 0;
    left: 0;

    .vm-header-r{
        border-radius: 0px 0px 20px 20px;
        position: absolute;
        right: 20px;
        cursor: auto;
        height: 45px;
        background-color: var(--vm-fondo-obscuro);
        padding: 5px 15px;
        z-index: 10010;
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        align-content: center;
        @media only screen and (max-width: 576px) {
            right: 0;
        }
        .vm-header-br{
            position: relative;
            margin-left: 2px;
            margin-right: 2px;
            padding: 2px 5px;
            border-radius: 10px;
            display: flex;
        }
    }

    .vm-header{
        height: 100%;
        width: 100%;


        .vm-carrusel{
            height: 100%;
            display: table;
            width: 100%;
            .carousel-inner{
                height: 100%;
                position: relative;
                .vm-carrusel-item{
                    height: 100%;
                    position: relative;
                    display: none;
                    &.active{
                        display: block;
                        .vm-body-i{
                            max-width: unset !important;
                        }
                    }
                    .vm-body-bh{
                        width: 100%;
                        text-align: center;
                        position: absolute;
                        z-index: 999;
                        .bh-contenedor{
                            display: inline-block;
                            height: 100%;
                            max-width: 460px;
                            background-color: var(--vm-mascara);
                            padding: 0.5% 1% 0.5% 1%;
                            border-radius: 10px;
                            .bh-b{
                                display: flex;
                                flex-wrap: wrap;
                                justify-content: center;
                                padding: 5px 15px;
                                .vm-header-b{
                                    position: relative;
                                    margin-left: 1.5px;
                                    margin-right: 1.5px;
                                    padding: 2px 5px;
                                    border-radius: 10px;
                                    display: flex;
                                    align-items: center;
                                    justify-content: center;
                                    &.vm-header-zoom{
                                        display: none;
                                    }
                                }
                            }
                            .bh-n{
                                max-width: 300px;
                                display: none;
                                margin-top: 5px;
                                color: var(--vm-blanco);
                                text-align: center;
                                font-size: 11px;
                            }
                        }
                        @media only screen and (max-width: 576px) {
                            padding-right: 110px;
                            .bh-b{
                                justify-content: flex-start;
                                align-items: center;
                            }
                        }
                    }
                    .vm-body-l{
                        position: absolute;
                        display: block;
                        margin: auto;
                        width: 100px;
                        height: 100px;
                        left: calc(50% - 50px);
                        top: calc(50% - 50px);
                        span{
                            width: 100px;
                            height: 100px;
                            color: var(--bs-primary);
                        }
                    }
                    .contenedor-alt{
                        position: absolute;
                        width: 100%;
                        overflow-y: auto;
                        overflow-x: hidden;
                        height: 100px;
                        background: linear-gradient(0deg, rgba(54,76,110,0) 0%, rgba(50,71,103,1) 100%);
                        bottom: 80px;
                        color: var(--vm-blanco);
                        padding: 10px;
                    }
                    .vm-body-i{
                        transform: rotate(0deg);
                        margin: auto;
                        display: block;
                        max-width: 95%;
                        position: absolute;
                        top: 0;
                        bottom: 0;
                        left: 0;
                        right: 0;
                        margin: auto;
                        visibility: hidden;
                        /* background-image: url('../images/loading.gif');
                        background-repeat: no-repeat;
                        background-position: center;
                        background-size: 100px; */
                    }
                    .vm-body-if{
                        position: absolute;
                        width: 100%;
                        height: 100%;
                        top: 0;
                        bottom: 0;
                        left: 0;
                        right: 0;
                        overflow: auto;
                        img{
                            width: 100px;
                        }
                    }
                    .vm-body-v{
                        width: 75%;
                        margin: auto;
                        display: block;
                        max-width: unset !important;
                        position: absolute;
                        top: 0;
                        bottom: 0;
                        left: 0;
                        right: 0;
                        margin: auto;
                    }
                    .vm-body-f{
                        padding: 47px;
                        width: 100%;
                        height: 100%;
                        border: 1px solid rgba(0,0,0,0.7);
                        position: absolute;
                    }
                }
            }
        }

        .vm-footer{
            width: 100%;
            position: absolute;
            bottom: 1vh;
            display: flex;
            height: 80px;
            align-items: center;
            justify-content: center;
            .vm-carrusel-bf{
                height: 100%;
                display: flex;
                flex-wrap: wrap;
                align-items: center;
            }
            .contenedor{
                height: 100%;
                padding: 3px;
                /* z-index: 999; */
                display: flex;
                align-items: center;
                border-radius: 10px;
                position: absolute;
                background-color: var(--vm-mascara-mini);
                #miniCarrusel{
                    height: 100% !important;
                    .carousel-inner{
                        height: 100%;
                        .vm-carrusel-i{
                            height: 100%;
                            .vm-carrusel_mini-item{
                                height: 100%;
                                border-left: solid 1px #292B2C;
                                border-right: solid 1px #292B2C;
                                float: left;
                                position: relative;
                                cursor: pointer;
                                width: 5vw;
                                display: flex;
                                flex-wrap: nowrap;
                                align-items: center;
                                justify-content: center;
                                @media only screen and (max-width: 576px) {
                                    width: 30vw;
                                }
                                .texto{
                                    position: absolute;
                                    background-color:var(--vm-mascara);
                                    width: 100%;
                                    height: 100%;
                                    text-align: center;
                                    z-index: 10;
                                    opacity: 0;
                                    -webkit-transition: all 0.5s ease;
                                    -moz-transition: all 0.5s ease;
                                    -o-transition: all 0.5s ease;
                                    transition: all 0.5s ease;
                                    display: table;
                                    div{
                                        display: table-cell;
                                        vertical-align: middle;
                                        color: var(--vm-blanco);
                                        font-size: 10px
                                    }
                                    &:hover{
                                        opacity:1;
                                    }
                                }
                                .borde{
                                    position: absolute;
                                    background-color:var(--vm-mascara);
                                    width: 100%;
                                    height: 80%;
                                    text-align: left;
                                    z-index: 10;
                                    display: table;
                                    div{
                                        display: table-cell;
                                        vertical-align: top;
                                        border: 2px solid var(--vm-azul-borde);
                                        border-radius: 3px;
                                        padding: 2px
                                    }
                                    span{
                                        font-size: 18px;
                                        width: 100%;
                                        text-align: left;
                                        color: var(--vm-blanco);
                                    }
                                }
                                img{
                                    max-width: 100%;
                                    max-height: 75%;
                                    margin: auto;
                                }
                                .numero{
                                    position: absolute;
                                    bottom: 0;
                                    text-align: center;
                                    z-index: 9;
                                    width: 100%;
                                    max-height: 20%;
                                    display: table;
                                    .c{
                                        display: table-cell;
                                        vertical-align: bottom;
                                        font-size: 8px;
                                        color: var(--vm-blanco);
                                        div{
                                            width: 100%;
                                            background-color:var(--vm-mascara);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        .vm-carrusel-bo{
            display: inline-block;
            max-width: 70px;
            height: 35px;
            padding: 4px;
            position: absolute;
            z-index:9999;
            bottom: 9vh;
            margin-left: auto;
            margin-right: auto;
            left: 0;
            right: 0;
            border-radius: 10px 10px 0px 0px;
            background-color: var(--vm-mascara);
            button{
                width: 90%;
                height: 28px;
            }
        }

        .vm-carrusel-bm{
            display: none;
            max-width: 70px;
            height: 35px;
            padding: 4px;
            position: absolute;
            z-index:9999;
            bottom: 0vh;
            margin-left: auto;
            margin-right: auto;
            left: 0;
            right: 0;
            border-radius: 10px 10px 0px 0px;
            background-color: var(--vm-mascara);
            button{
                width: 90%;
                height: 28px;
            }
        }

    }

}
